from datetime import datetime
from fastapi import APIRouter

router = APIRouter()

@router.post("/server-time", response_model=dict)
async def get_server_time():
    """
    Get the current server time
    """
    current_time = datetime.now()
    return {"server_time": current_time.isoformat()}